package com.jpsoft.shinestar.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.business.entity.MedicalPerson;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MedicalPersonDAO {
	int insert(MedicalPerson entity);
	int update(MedicalPerson entity);
	int exist(String id);
	MedicalPerson get(String id);
	int delete(String id);
	MedicalPerson findByPersonId(Long personId);
	List<MedicalPerson> list();
	List<MedicalPerson> search(Map<String, Object> searchParams, List<Sort> sortList);
}